<?php

namespace FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception;

use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\CreateCodeceptionTests;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareCodeceptionDb;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareLocalCodeceptionTests;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareLocalCodeceptionTestsWithCoverage;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareParallelCodeceptionTests;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareWordpressForCodeception;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\RunCodeceptionTests;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\RunLocalCodeceptionTests;
use FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\RunLocalCodeceptionTestsWithCoverage;
/**
 * Links plugin commands handlers to composer.
 */
class CommandProvider implements \FlexibleWishlistAnalyticsVendor\Composer\Plugin\Capability\CommandProvider
{
    public function getCommands()
    {
        return [new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\CreateCodeceptionTests(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\RunCodeceptionTests(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\RunLocalCodeceptionTests(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\RunLocalCodeceptionTestsWithCoverage(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareCodeceptionDb(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareWordpressForCodeception(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareLocalCodeceptionTests(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareLocalCodeceptionTestsWithCoverage(), new \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\Commands\PrepareParallelCodeceptionTests()];
    }
}
