<?php

namespace FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception;

use FlexibleWishlistAnalyticsVendor\Composer\Composer;
use FlexibleWishlistAnalyticsVendor\Composer\IO\IOInterface;
use FlexibleWishlistAnalyticsVendor\Composer\Plugin\Capable;
use FlexibleWishlistAnalyticsVendor\Composer\Plugin\PluginInterface;
/**
 * Composer plugin.
 *
 * @package WPDesk\Composer\Codeception
 */
class Plugin implements \FlexibleWishlistAnalyticsVendor\Composer\Plugin\PluginInterface, \FlexibleWishlistAnalyticsVendor\Composer\Plugin\Capable
{
    /**
     * @var Composer
     */
    private $composer;
    /**
     * @var IOInterface
     */
    private $io;
    public function activate(\FlexibleWishlistAnalyticsVendor\Composer\Composer $composer, \FlexibleWishlistAnalyticsVendor\Composer\IO\IOInterface $io)
    {
        $this->composer = $composer;
        $this->io = $io;
    }
    /**
     * @inheritDoc
     */
    public function deactivate(\FlexibleWishlistAnalyticsVendor\Composer\Composer $composer, \FlexibleWishlistAnalyticsVendor\Composer\IO\IOInterface $io)
    {
        $this->composer = $composer;
        $this->io = $io;
    }
    /**
     * @inheritDoc
     */
    public function uninstall(\FlexibleWishlistAnalyticsVendor\Composer\Composer $composer, \FlexibleWishlistAnalyticsVendor\Composer\IO\IOInterface $io)
    {
        $this->composer = $composer;
        $this->io = $io;
    }
    public function getCapabilities()
    {
        return [\FlexibleWishlistAnalyticsVendor\Composer\Plugin\Capability\CommandProvider::class => \FlexibleWishlistAnalyticsVendor\WPDesk\Composer\Codeception\CommandProvider::class];
    }
}
