<?php

namespace FlexibleWishlistAnalyticsVendor\WPDesk\View\Resolver;

use FlexibleWishlistAnalyticsVendor\WPDesk\View\Renderer\Renderer;
use FlexibleWishlistAnalyticsVendor\WPDesk\View\Resolver\Exception\CanNotResolve;
/**
 * This resolver never finds the file
 *
 * @package WPDesk\View\Resolver
 */
class NullResolver implements \FlexibleWishlistAnalyticsVendor\WPDesk\View\Resolver\Resolver
{
    public function resolve($name, \FlexibleWishlistAnalyticsVendor\WPDesk\View\Renderer\Renderer $renderer = null)
    {
        throw new \FlexibleWishlistAnalyticsVendor\WPDesk\View\Resolver\Exception\CanNotResolve("Null Cannot resolve");
    }
}
