<?php

namespace FlexibleWishlistAnalyticsVendor\WPDesk\DeactivationModal\Sender;

use FlexibleWishlistAnalyticsVendor\WPDesk\DeactivationModal\Exception\SenderRequestFailedException;
use FlexibleWishlistAnalyticsVendor\WPDesk\DeactivationModal\Model\RequestData;
interface Sender
{
    /**
     * @param RequestData $request_data .
     *
     * @return array
     */
    public function generate_request_data(\FlexibleWishlistAnalyticsVendor\WPDesk\DeactivationModal\Model\RequestData $request_data) : array;
    /**
     * @param RequestData $request_data .
     *
     * @return bool Request success status.
     *
     * @throws SenderRequestFailedException
     */
    public function send_request(\FlexibleWishlistAnalyticsVendor\WPDesk\DeactivationModal\Model\RequestData $request_data) : bool;
}
